/* 
 * DWG Filter for BlueCAD 1.0 for OS/2
 *
 * (C) 1998 Yuri Dario <mc6530@mclink.it> 
 *
 */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

   '@echo off'
   RootDir = SysIni( 'USER', 'BlueCAD', 'ROOTDIR' )

   if RootDir = 'ERROR:'
     then
     do
       call beep  500, 100
       say '***** Error **********************'
       say '* BlueCAD installation not found *'
       say '**********************************'
       exit
     end

   say 'DWG Filter for BlueCAD (C) 1998 Yuri Dario <mc6530@mclink.it>'
   say 'BlueCAD installation directory : ' RootDir
   say 'File copy, please wait...'

   RootDir = substr( RootDir, 1, (length(RootDir)-1) )

      /* copy files */
   destDir = RootDir '\DLL'
   destDir = space( destDir, 0 )
   'copy *.dll ' destDir ' > NUL'

   prgmDir = RootDir '\PRGM'
   prgmDir = space( prgmDir, 0 )
   'copy font.map ' prgmDir  ' > NUL'
   'copy cadnewpl.eng ' prgmDir ' > NUL'

   macroDir = RootDir '\MACRO'
   macroDir = space( macroDir, 0 )
   'copy *.rxm ' macroDir ' > NUL'
   'copy *.bmp ' macroDir ' > NUL'
  
      /* add macro to menu */
   BCINI = SysBootDrive()'\OS2\BLUECAD.INI'

   say 'Adding macros, please wait...'

   macroNum = SysIni( BCINI, 'MACRO', 'MACNUM' )
   macroNum = substr( macroNum, 1, (length(macroNum)-1) )
   dwgIn = space( 'MACNAME#'macroNum)
   macroIn = 'dwgin 'macroDir'\dwgin.rxm 'macroDir'\dwgin.bmp'

   call SysIni BCINI, 'MACRO', dwgIn, macroIn

   macroNum = macroNum + 1
   dwgOut = space( 'MACNAME#'macroNum)
   macroOut = 'dwgout 'macroDir'\dwgout.rxm 'macroDir'\dwgout.bmp'
   call SysIni BCINI, 'MACRO', dwgOut, macroOut

   macroNum = macroNum + 1
   call SysIni BCINI, 'MACRO', 'MACNUM', macroNum

   say 'Adding PE2LXVER to BlueCAD executable, please wait...'
   'eautil 'prgmDir'\BLUECAD.EXE bcdwg.ea  /J /M /P'
   say
   say 'DWG Filter succesfully installed'
